package com.sharix.sportsmanfriend.dialogs;

import android.app.Dialog;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.widget.RadioButton;
import android.widget.RadioGroup;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;

import com.sharix.sportsmanfriend.BaseDialogClass;
import com.sharix.sportsmanfriend.R;

public class ChoiceOfGenderDialog extends BaseDialogClass {

   private RadioGroup radioGroup;

    @NonNull
    @Override
    public Dialog onCreateDialog(@Nullable Bundle savedInstanceState) {
        LayoutInflater inflater = requireActivity().getLayoutInflater();
        view = inflater.inflate(R.layout.dialog_choice_of_gender, null);

        radioGroup = view.findViewById(R.id.radioGroup);

        addClickEventToAllButtons();

        return super.onCreateDialog(savedInstanceState);
    }

    @Override
    protected Bundle DataToTransfer() {
        Bundle bundle = new Bundle();
        bundle.putString("FromBlock", "GenderBlock");
        int selectedId = radioGroup.getCheckedRadioButtonId();
        RadioButton selectedRadioButton = view.findViewById(selectedId);
        bundle.putInt("Id", radioGroup.getCheckedRadioButtonId());
        bundle.putString("Name", selectedRadioButton.getText().toString());
        return bundle;
    }

    @Override
    protected void addClickEventToAllButtons() {
        super.addClickEventToAllButtons();

    }
}
